New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Get TTS model quality

GET
/api/v1/settings/model-quality

Return quality presets available for the current generation mode.

Response Body

Successful Response

application/json
  1. response
options*array<>

Available model quality presets for the current mode

current*Current

Currently selected quality preset ID

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/settings/model-quality'
Example Response200
{  "options": [    {      "id": "string",      "name": "string",      "description": "string",      "selected": true    }  ],  "current": "string"}